// Verilog netlist produced by program LSE :  version Diamond (64-bit) 3.12.1.454
// Netlist written on Sat Feb 11 11:27:34 2023
//
// Verilog Description of module top
//

module top (Reset, Cathodes, Segments) /* synthesis syn_module_defined=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(1[8:11])
    input Reset;   // d:/lattice/kurs09/constatdigitcount/source/top.v(2[9:14])
    output [7:0]Cathodes;   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    output [7:0]Segments;   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    
    wire Clock14MHz /* synthesis SET_AS_NETWORK=Clock14MHz, is_clock=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(8[8:18])
    
    wire GND_net, Reset_c, Cathodes_c_7, Cathodes_c_6, Cathodes_c_5, 
        Cathodes_c_4, Cathodes_c_3, Cathodes_c_2, Cathodes_c_1, Cathodes_c_0, 
        Segments_c_7, Segments_c_6, Segments_c_5, Segments_c_4, Segments_c_3, 
        Segments_c_2, Segments_c_1, Segments_c_0, CountEnable;
    wire [31:0]Data;   // d:/lattice/kurs09/constatdigitcount/source/top.v(29[14:18])
    
    wire DecimalPointMoveEnable;
    wire [7:0]DecimalPoints;   // d:/lattice/kurs09/constatdigitcount/source/top.v(48[13:26])
    wire [31:0]Data_31__N_43;
    
    wire VCC_net, n519, n518, n517, n516, n515, n514, n513, 
        n512, n506, n507, n508, n505, n510, n511, n509, n504;
    
    VHI i680 (.Z(VCC_net));
    OB Segments_pad_4 (.I(Segments_c_4), .O(Segments[4]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    OB Segments_pad_2 (.I(Segments_c_2), .O(Segments[2]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    OB Segments_pad_1 (.I(Segments_c_1), .O(Segments[1]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    OB Segments_pad_3 (.I(Segments_c_3), .O(Segments[3]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    OSCH OSCH_inst (.STDBY(GND_net), .OSC(Clock14MHz)) /* synthesis syn_instantiated=1 */ ;
    defparam OSCH_inst.NOM_FREQ = "14.00";
    FD1P3AY Data_i0_i0 (.D(Data_31__N_43[0]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[0]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i0.GSR = "ENABLED";
    OB Segments_pad_5 (.I(Segments_c_5), .O(Segments[5]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    CCU2D add_5_33 (.A0(Data[31]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n519), 
          .S0(Data_31__N_43[31]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_33.INIT0 = 16'h5aaa;
    defparam add_5_33.INIT1 = 16'h0000;
    defparam add_5_33.INJECT1_0 = "NO";
    defparam add_5_33.INJECT1_1 = "NO";
    OB Segments_pad_6 (.I(Segments_c_6), .O(Segments[6]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    OB Cathodes_pad_7 (.I(Cathodes_c_7), .O(Cathodes[7]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    CCU2D add_5_31 (.A0(Data[29]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[30]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n518), 
          .COUT(n519), .S0(Data_31__N_43[29]), .S1(Data_31__N_43[30]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_31.INIT0 = 16'h5aaa;
    defparam add_5_31.INIT1 = 16'h5aaa;
    defparam add_5_31.INJECT1_0 = "NO";
    defparam add_5_31.INJECT1_1 = "NO";
    OB Segments_pad_7 (.I(Segments_c_7), .O(Segments[7]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    OB Cathodes_pad_0 (.I(Cathodes_c_0), .O(Cathodes[0]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    OB Cathodes_pad_1 (.I(Cathodes_c_1), .O(Cathodes[1]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    OB Cathodes_pad_2 (.I(Cathodes_c_2), .O(Cathodes[2]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    FD1P3AY DecimalPoints_i0_i0 (.D(DecimalPoints[7]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[0]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i0.GSR = "ENABLED";
    OB Cathodes_pad_3 (.I(Cathodes_c_3), .O(Cathodes[3]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    OB Cathodes_pad_4 (.I(Cathodes_c_4), .O(Cathodes[4]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    OB Cathodes_pad_5 (.I(Cathodes_c_5), .O(Cathodes[5]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    FD1P3AX DecimalPoints_i0_i7 (.D(DecimalPoints[6]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[7]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i7.GSR = "ENABLED";
    CCU2D add_5_29 (.A0(Data[27]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[28]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n517), 
          .COUT(n518), .S0(Data_31__N_43[27]), .S1(Data_31__N_43[28]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_29.INIT0 = 16'h5aaa;
    defparam add_5_29.INIT1 = 16'h5aaa;
    defparam add_5_29.INJECT1_0 = "NO";
    defparam add_5_29.INJECT1_1 = "NO";
    IB Reset_pad (.I(Reset), .O(Reset_c));   // d:/lattice/kurs09/constatdigitcount/source/top.v(2[9:14])
    OB Segments_pad_0 (.I(Segments_c_0), .O(Segments[0]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(4[16:24])
    CCU2D add_5_27 (.A0(Data[25]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[26]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n516), 
          .COUT(n517), .S0(Data_31__N_43[25]), .S1(Data_31__N_43[26]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_27.INIT0 = 16'h5aaa;
    defparam add_5_27.INIT1 = 16'h5aaa;
    defparam add_5_27.INJECT1_0 = "NO";
    defparam add_5_27.INJECT1_1 = "NO";
    FD1P3AX DecimalPoints_i0_i6 (.D(DecimalPoints[5]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[6]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i6.GSR = "ENABLED";
    FD1P3AX DecimalPoints_i0_i5 (.D(DecimalPoints[4]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[5]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i5.GSR = "ENABLED";
    FD1P3AX DecimalPoints_i0_i4 (.D(DecimalPoints[3]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[4]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i4.GSR = "ENABLED";
    FD1P3AX DecimalPoints_i0_i3 (.D(DecimalPoints[2]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[3]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i3.GSR = "ENABLED";
    CCU2D add_5_25 (.A0(Data[23]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[24]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n515), 
          .COUT(n516), .S0(Data_31__N_43[23]), .S1(Data_31__N_43[24]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_25.INIT0 = 16'h5aaa;
    defparam add_5_25.INIT1 = 16'h5aaa;
    defparam add_5_25.INJECT1_0 = "NO";
    defparam add_5_25.INJECT1_1 = "NO";
    CCU2D add_5_23 (.A0(Data[21]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[22]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n514), 
          .COUT(n515), .S0(Data_31__N_43[21]), .S1(Data_31__N_43[22]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_23.INIT0 = 16'h5aaa;
    defparam add_5_23.INIT1 = 16'h5aaa;
    defparam add_5_23.INJECT1_0 = "NO";
    defparam add_5_23.INJECT1_1 = "NO";
    CCU2D add_5_21 (.A0(Data[19]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[20]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n513), 
          .COUT(n514), .S0(Data_31__N_43[19]), .S1(Data_31__N_43[20]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_21.INIT0 = 16'h5aaa;
    defparam add_5_21.INIT1 = 16'h5aaa;
    defparam add_5_21.INJECT1_0 = "NO";
    defparam add_5_21.INJECT1_1 = "NO";
    CCU2D add_5_19 (.A0(Data[17]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[18]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n512), 
          .COUT(n513), .S0(Data_31__N_43[17]), .S1(Data_31__N_43[18]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_19.INIT0 = 16'h5aaa;
    defparam add_5_19.INIT1 = 16'h5aaa;
    defparam add_5_19.INJECT1_0 = "NO";
    defparam add_5_19.INJECT1_1 = "NO";
    FD1P3AX DecimalPoints_i0_i2 (.D(DecimalPoints[1]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[2]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i2.GSR = "ENABLED";
    CCU2D add_5_17 (.A0(Data[15]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[16]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n511), 
          .COUT(n512), .S0(Data_31__N_43[15]), .S1(Data_31__N_43[16]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_17.INIT0 = 16'h5aaa;
    defparam add_5_17.INIT1 = 16'h5aaa;
    defparam add_5_17.INJECT1_0 = "NO";
    defparam add_5_17.INJECT1_1 = "NO";
    CCU2D add_5_15 (.A0(Data[13]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[14]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n510), 
          .COUT(n511), .S0(Data_31__N_43[13]), .S1(Data_31__N_43[14]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_15.INIT0 = 16'h5aaa;
    defparam add_5_15.INIT1 = 16'h5aaa;
    defparam add_5_15.INJECT1_0 = "NO";
    defparam add_5_15.INJECT1_1 = "NO";
    CCU2D add_5_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[0]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .COUT(n504), 
          .S1(Data_31__N_43[0]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_1.INIT0 = 16'hF000;
    defparam add_5_1.INIT1 = 16'h5555;
    defparam add_5_1.INJECT1_0 = "NO";
    defparam add_5_1.INJECT1_1 = "NO";
    CCU2D add_5_9 (.A0(Data[7]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[8]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n507), 
          .COUT(n508), .S0(Data_31__N_43[7]), .S1(Data_31__N_43[8]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_9.INIT0 = 16'h5aaa;
    defparam add_5_9.INIT1 = 16'h5aaa;
    defparam add_5_9.INJECT1_0 = "NO";
    defparam add_5_9.INJECT1_1 = "NO";
    CCU2D add_5_11 (.A0(Data[9]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[10]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n508), 
          .COUT(n509), .S0(Data_31__N_43[9]), .S1(Data_31__N_43[10]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_11.INIT0 = 16'h5aaa;
    defparam add_5_11.INIT1 = 16'h5aaa;
    defparam add_5_11.INJECT1_0 = "NO";
    defparam add_5_11.INJECT1_1 = "NO";
    FD1P3AY Data_i0_i1 (.D(Data_31__N_43[1]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[1]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i1.GSR = "ENABLED";
    OB Cathodes_pad_6 (.I(Cathodes_c_6), .O(Cathodes[6]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(3[16:24])
    FD1P3AX Data_i0_i31 (.D(Data_31__N_43[31]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[31]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i31.GSR = "ENABLED";
    CCU2D add_5_3 (.A0(Data[1]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[2]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n504), 
          .COUT(n505), .S0(Data_31__N_43[1]), .S1(Data_31__N_43[2]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_3.INIT0 = 16'h5aaa;
    defparam add_5_3.INIT1 = 16'h5aaa;
    defparam add_5_3.INJECT1_0 = "NO";
    defparam add_5_3.INJECT1_1 = "NO";
    CCU2D add_5_13 (.A0(Data[11]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[12]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n509), 
          .COUT(n510), .S0(Data_31__N_43[11]), .S1(Data_31__N_43[12]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_13.INIT0 = 16'h5aaa;
    defparam add_5_13.INIT1 = 16'h5aaa;
    defparam add_5_13.INJECT1_0 = "NO";
    defparam add_5_13.INJECT1_1 = "NO";
    CCU2D add_5_7 (.A0(Data[5]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[6]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n506), 
          .COUT(n507), .S0(Data_31__N_43[5]), .S1(Data_31__N_43[6]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_7.INIT0 = 16'h5aaa;
    defparam add_5_7.INIT1 = 16'h5aaa;
    defparam add_5_7.INJECT1_0 = "NO";
    defparam add_5_7.INJECT1_1 = "NO";
    FD1P3AX Data_i0_i30 (.D(Data_31__N_43[30]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[30]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i30.GSR = "ENABLED";
    FD1P3AX Data_i0_i29 (.D(Data_31__N_43[29]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[29]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i29.GSR = "ENABLED";
    FD1P3AX Data_i0_i28 (.D(Data_31__N_43[28]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[28]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i28.GSR = "ENABLED";
    FD1P3AX Data_i0_i27 (.D(Data_31__N_43[27]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[27]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i27.GSR = "ENABLED";
    FD1P3AX Data_i0_i26 (.D(Data_31__N_43[26]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[26]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i26.GSR = "ENABLED";
    FD1P3AX Data_i0_i25 (.D(Data_31__N_43[25]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[25]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i25.GSR = "ENABLED";
    FD1P3AX Data_i0_i24 (.D(Data_31__N_43[24]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[24]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i24.GSR = "ENABLED";
    FD1P3AX Data_i0_i23 (.D(Data_31__N_43[23]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[23]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i23.GSR = "ENABLED";
    FD1P3AX Data_i0_i22 (.D(Data_31__N_43[22]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[22]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i22.GSR = "ENABLED";
    FD1P3AX Data_i0_i21 (.D(Data_31__N_43[21]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[21]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i21.GSR = "ENABLED";
    FD1P3AX Data_i0_i20 (.D(Data_31__N_43[20]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[20]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i20.GSR = "ENABLED";
    FD1P3AX Data_i0_i19 (.D(Data_31__N_43[19]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[19]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i19.GSR = "ENABLED";
    FD1P3AX Data_i0_i18 (.D(Data_31__N_43[18]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[18]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i18.GSR = "ENABLED";
    FD1P3AX Data_i0_i17 (.D(Data_31__N_43[17]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[17]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i17.GSR = "ENABLED";
    FD1P3AX Data_i0_i16 (.D(Data_31__N_43[16]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[16]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i16.GSR = "ENABLED";
    FD1P3AX Data_i0_i15 (.D(Data_31__N_43[15]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[15]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i15.GSR = "ENABLED";
    FD1P3AX Data_i0_i14 (.D(Data_31__N_43[14]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[14]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i14.GSR = "ENABLED";
    FD1P3AX Data_i0_i13 (.D(Data_31__N_43[13]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[13]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i13.GSR = "ENABLED";
    FD1P3AX Data_i0_i12 (.D(Data_31__N_43[12]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[12]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i12.GSR = "ENABLED";
    FD1P3AX Data_i0_i11 (.D(Data_31__N_43[11]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[11]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i11.GSR = "ENABLED";
    FD1P3AX Data_i0_i10 (.D(Data_31__N_43[10]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[10]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i10.GSR = "ENABLED";
    FD1P3AX Data_i0_i9 (.D(Data_31__N_43[9]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[9]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i9.GSR = "ENABLED";
    FD1P3AX Data_i0_i8 (.D(Data_31__N_43[8]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[8]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i8.GSR = "ENABLED";
    FD1P3AY Data_i0_i7 (.D(Data_31__N_43[7]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[7]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i7.GSR = "ENABLED";
    FD1P3AY Data_i0_i6 (.D(Data_31__N_43[6]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[6]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i6.GSR = "ENABLED";
    FD1P3AY Data_i0_i5 (.D(Data_31__N_43[5]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[5]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i5.GSR = "ENABLED";
    FD1P3AY Data_i0_i4 (.D(Data_31__N_43[4]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[4]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i4.GSR = "ENABLED";
    FD1P3AY Data_i0_i3 (.D(Data_31__N_43[3]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[3]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i3.GSR = "ENABLED";
    FD1P3AY Data_i0_i2 (.D(Data_31__N_43[2]), .SP(CountEnable), .CK(Clock14MHz), 
            .Q(Data[2]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(33[10] 34[27])
    defparam Data_i0_i2.GSR = "ENABLED";
    \DisplayMultiplex(FREQUENCY_HZ=14000000)  DisplayMultiplex0 (.Data({Data}), 
            .DecimalPoints({DecimalPoints}), .Segments_c_7(Segments_c_7), 
            .Clock14MHz(Clock14MHz), .Cathodes_c_1(Cathodes_c_1), .Cathodes_c_7(Cathodes_c_7), 
            .Cathodes_c_6(Cathodes_c_6), .Cathodes_c_2(Cathodes_c_2), .Cathodes_c_5(Cathodes_c_5), 
            .Cathodes_c_3(Cathodes_c_3), .Cathodes_c_0(Cathodes_c_0), .Cathodes_c_4(Cathodes_c_4), 
            .GND_net(GND_net), .Segments_c_5(Segments_c_5), .Segments_c_6(Segments_c_6), 
            .Segments_c_3(Segments_c_3), .Segments_c_1(Segments_c_1), .Segments_c_0(Segments_c_0), 
            .Segments_c_4(Segments_c_4), .Segments_c_2(Segments_c_2)) /* synthesis syn_module_defined=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(59[5] 66[4])
    GSR GSR_INST (.GSR(Reset_c));
    FD1P3AY DecimalPoints_i0_i1 (.D(DecimalPoints[0]), .SP(DecimalPointMoveEnable), 
            .CK(Clock14MHz), .Q(DecimalPoints[1]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(52[10] 53[63])
    defparam DecimalPoints_i0_i1.GSR = "ENABLED";
    CCU2D add_5_5 (.A0(Data[3]), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Data[4]), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n505), 
          .COUT(n506), .S0(Data_31__N_43[3]), .S1(Data_31__N_43[4]));   // d:/lattice/kurs09/constatdigitcount/source/top.v(34[15:26])
    defparam add_5_5.INIT0 = 16'h5aaa;
    defparam add_5_5.INIT1 = 16'h5aaa;
    defparam add_5_5.INJECT1_0 = "NO";
    defparam add_5_5.INJECT1_1 = "NO";
    \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=1000000)  DecimalStrobeGenerator (.Clock14MHz(Clock14MHz), 
            .DecimalPointMoveEnable(DecimalPointMoveEnable), .GND_net(GND_net)) /* synthesis syn_module_defined=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(41[5] 45[4])
    VLO i1 (.Z(GND_net));
    TSALL TSALL_INST (.TSALL(GND_net));
    \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=100000)  CountStrobeGenerator (.CountEnable(CountEnable), 
            .Clock14MHz(Clock14MHz), .GND_net(GND_net)) /* synthesis syn_module_defined=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(22[5] 26[4])
    PUR PUR_INST (.PUR(VCC_net));
    defparam PUR_INST.RST_PULSE = 1;
    
endmodule
//
// Verilog Description of module \DisplayMultiplex(FREQUENCY_HZ=14000000) 
//

module \DisplayMultiplex(FREQUENCY_HZ=14000000)  (Data, DecimalPoints, Segments_c_7, 
            Clock14MHz, Cathodes_c_1, Cathodes_c_7, Cathodes_c_6, Cathodes_c_2, 
            Cathodes_c_5, Cathodes_c_3, Cathodes_c_0, Cathodes_c_4, 
            GND_net, Segments_c_5, Segments_c_6, Segments_c_3, Segments_c_1, 
            Segments_c_0, Segments_c_4, Segments_c_2) /* synthesis syn_module_defined=1 */ ;
    input [31:0]Data;
    input [7:0]DecimalPoints;
    output Segments_c_7;
    input Clock14MHz;
    output Cathodes_c_1;
    output Cathodes_c_7;
    output Cathodes_c_6;
    output Cathodes_c_2;
    output Cathodes_c_5;
    output Cathodes_c_3;
    output Cathodes_c_0;
    output Cathodes_c_4;
    input GND_net;
    output Segments_c_5;
    output Segments_c_6;
    output Segments_c_3;
    output Segments_c_1;
    output Segments_c_0;
    output Segments_c_4;
    output Segments_c_2;
    
    wire Clock14MHz /* synthesis SET_AS_NETWORK=Clock14MHz, is_clock=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(8[8:18])
    
    wire Visible_6__N_175;
    wire [31:0]TempData_3__N_182;
    
    wire n747, n738, n732, n746, n10, n883, n739, Visible_6__N_171, 
        n740, n741;
    wire [2:0]n17;
    
    wire n742, n743, n731, n717, n718, n721, SwitchCathode, n884, 
        n719, n720, n722, n724, n725, n728, n726, n727, n729, 
        n361, n630, n715, n745, n749, Visible_6__N_173;
    wire [7:0]Visible;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(14[14:21])
    
    wire n796, n882, n886, n748, n750, n10_adj_229, n885, Enable, 
        n628;
    wire [3:0]TempData;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(52[14:22])
    
    wire n887;
    
    LUT4 i3_4_lut (.A(Data[8]), .B(Data[11]), .C(Data[10]), .D(Data[9]), 
         .Z(Visible_6__N_175)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(20[23:35])
    defparam i3_4_lut.init = 16'hfffe;
    LUT4 i543_3_lut (.A(Data[16]), .B(Data[20]), .C(TempData_3__N_182[2]), 
         .Z(n747)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i543_3_lut.init = 16'hcaca;
    LUT4 i534_3_lut (.A(DecimalPoints[0]), .B(DecimalPoints[1]), .C(TempData_3__N_182[2]), 
         .Z(n738)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i534_3_lut.init = 16'hcaca;
    LUT4 i528_3_lut (.A(Data[11]), .B(Data[15]), .C(TempData_3__N_182[2]), 
         .Z(n732)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i528_3_lut.init = 16'hcaca;
    LUT4 i542_3_lut (.A(Data[8]), .B(Data[12]), .C(TempData_3__N_182[2]), 
         .Z(n746)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i542_3_lut.init = 16'hcaca;
    LUT4 i5_3_lut_rep_5 (.A(Data[14]), .B(n10), .C(Data[12]), .Z(n883)) /* synthesis lut_function=(A+(B+(C))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(16[23:49])
    defparam i5_3_lut_rep_5.init = 16'hfefe;
    LUT4 i535_3_lut (.A(DecimalPoints[2]), .B(DecimalPoints[3]), .C(TempData_3__N_182[2]), 
         .Z(n739)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i535_3_lut.init = 16'hcaca;
    LUT4 i3_4_lut_adj_2 (.A(Data[24]), .B(Data[27]), .C(Data[26]), .D(Data[25]), 
         .Z(Visible_6__N_171)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(16[23:35])
    defparam i3_4_lut_adj_2.init = 16'hfffe;
    LUT4 i536_3_lut (.A(DecimalPoints[4]), .B(DecimalPoints[5]), .C(TempData_3__N_182[2]), 
         .Z(n740)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i536_3_lut.init = 16'hcaca;
    LUT4 i537_3_lut (.A(DecimalPoints[6]), .B(DecimalPoints[7]), .C(TempData_3__N_182[2]), 
         .Z(n741)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i537_3_lut.init = 16'hcaca;
    LUT4 i339_3_lut (.A(TempData_3__N_182[4]), .B(TempData_3__N_182[3]), 
         .C(TempData_3__N_182[2]), .Z(n17[2])) /* synthesis lut_function=(!(A (B (C))+!A !(B (C)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(44[21:36])
    defparam i339_3_lut.init = 16'h6a6a;
    L6MUX21 i540 (.D0(n742), .D1(n743), .SD(TempData_3__N_182[4]), .Z(Segments_c_7));
    LUT4 i527_3_lut (.A(Data[3]), .B(Data[7]), .C(TempData_3__N_182[2]), 
         .Z(n731)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i527_3_lut.init = 16'hcaca;
    PFUMX i517 (.BLUT(n717), .ALUT(n718), .C0(TempData_3__N_182[3]), .Z(n721));
    FD1P3AX Selector_150__i1 (.D(n884), .SP(SwitchCathode), .CK(Clock14MHz), 
            .Q(TempData_3__N_182[2]));   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(44[21:36])
    defparam Selector_150__i1.GSR = "ENABLED";
    PFUMX i518 (.BLUT(n719), .ALUT(n720), .C0(TempData_3__N_182[3]), .Z(n722));
    PFUMX i524 (.BLUT(n724), .ALUT(n725), .C0(TempData_3__N_182[3]), .Z(n728));
    PFUMX i525 (.BLUT(n726), .ALUT(n727), .C0(TempData_3__N_182[3]), .Z(n729));
    PFUMX i511 (.BLUT(n361), .ALUT(n630), .C0(TempData_3__N_182[3]), .Z(n715));
    LUT4 i264_2_lut_3_lut (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[2]), .Z(Cathodes_c_1)) /* synthesis lut_function=(!(A+(B+!(C)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i264_2_lut_3_lut.init = 16'h1010;
    LUT4 i523_3_lut (.A(Data[26]), .B(Data[30]), .C(TempData_3__N_182[2]), 
         .Z(n727)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i523_3_lut.init = 16'hcaca;
    PFUMX i538 (.BLUT(n738), .ALUT(n739), .C0(TempData_3__N_182[3]), .Z(n742));
    PFUMX i539 (.BLUT(n740), .ALUT(n741), .C0(TempData_3__N_182[3]), .Z(n743));
    PFUMX i545 (.BLUT(n745), .ALUT(n746), .C0(TempData_3__N_182[3]), .Z(n749));
    LUT4 i522_3_lut (.A(Data[18]), .B(Data[22]), .C(TempData_3__N_182[2]), 
         .Z(n726)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i522_3_lut.init = 16'hcaca;
    LUT4 i541_3_lut (.A(Data[0]), .B(Data[4]), .C(TempData_3__N_182[2]), 
         .Z(n745)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i541_3_lut.init = 16'hcaca;
    LUT4 i4_4_lut (.A(Visible_6__N_173), .B(Data[15]), .C(Visible[5]), 
         .D(Data[13]), .Z(n10)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(16[23:49])
    defparam i4_4_lut.init = 16'hfffe;
    LUT4 i332_2_lut (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[2]), 
         .Z(n17[1])) /* synthesis lut_function=(!(A (B)+!A !(B))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(44[21:36])
    defparam i332_2_lut.init = 16'h6666;
    LUT4 i521_3_lut (.A(Data[10]), .B(Data[14]), .C(TempData_3__N_182[2]), 
         .Z(n725)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i521_3_lut.init = 16'hcaca;
    LUT4 i1_2_lut_3_lut (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[2]), .Z(Cathodes_c_7)) /* synthesis lut_function=(A (B (C))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i1_2_lut_3_lut.init = 16'h8080;
    LUT4 i1_2_lut_3_lut_3_lut (.A(TempData_3__N_182[2]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[3]), .Z(Cathodes_c_6)) /* synthesis lut_function=(!(A+!(B (C)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i1_2_lut_3_lut_3_lut.init = 16'h4040;
    LUT4 i520_3_lut (.A(Data[2]), .B(Data[6]), .C(TempData_3__N_182[2]), 
         .Z(n724)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i520_3_lut.init = 16'hcaca;
    LUT4 n797_bdd_4_lut_4_lut_4_lut_4_lut (.A(TempData_3__N_182[2]), .B(n796), 
         .C(Visible_6__N_175), .D(TempData_3__N_182[3]), .Z(n882)) /* synthesis lut_function=(!(A (B (D)+!B ((D)+!C))+!A !(C+!(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam n797_bdd_4_lut_4_lut_4_lut_4_lut.init = 16'h50fd;
    LUT4 i516_3_lut (.A(Data[25]), .B(Data[29]), .C(TempData_3__N_182[2]), 
         .Z(n720)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i516_3_lut.init = 16'hcaca;
    LUT4 Visible_6__N_175_bdd_4_lut_611 (.A(Data[6]), .B(Data[7]), .C(Data[4]), 
         .D(Data[5]), .Z(n796)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;
    defparam Visible_6__N_175_bdd_4_lut_611.init = 16'hfffe;
    LUT4 i515_3_lut (.A(Data[17]), .B(Data[21]), .C(TempData_3__N_182[2]), 
         .Z(n719)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i515_3_lut.init = 16'hcaca;
    LUT4 TempData_3__N_182_3__bdd_4_lut_then_4_lut (.A(Data[31]), .B(Data[27]), 
         .C(TempData_3__N_182[4]), .D(TempData_3__N_182[2]), .Z(n886)) /* synthesis lut_function=(A (B+((D)+!C))+!A !(B (C (D))+!B (C))) */ ;
    defparam TempData_3__N_182_3__bdd_4_lut_then_4_lut.init = 16'hafcf;
    LUT4 i1_2_lut_2_lut_3_lut (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[2]), .Z(Cathodes_c_2)) /* synthesis lut_function=(!((B+(C))+!A)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i1_2_lut_2_lut_3_lut.init = 16'h0202;
    PFUMX i546 (.BLUT(n747), .ALUT(n748), .C0(TempData_3__N_182[3]), .Z(n750));
    LUT4 i269_2_lut_3_lut (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[2]), .Z(Cathodes_c_5)) /* synthesis lut_function=(!(A+!(B (C)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i269_2_lut_3_lut.init = 16'h4040;
    LUT4 i5_3_lut (.A(Data[21]), .B(n10_adj_229), .C(Data[20]), .Z(Visible[5])) /* synthesis lut_function=(A+(B+(C))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(15[23:35])
    defparam i5_3_lut.init = 16'hfefe;
    LUT4 TempData_3__N_182_3__bdd_4_lut_else_4_lut (.A(Data[23]), .B(Data[19]), 
         .C(TempData_3__N_182[4]), .D(TempData_3__N_182[2]), .Z(n885)) /* synthesis lut_function=(A (B (C)+!B (C (D)))+!A !(((D)+!C)+!B)) */ ;
    defparam TempData_3__N_182_3__bdd_4_lut_else_4_lut.init = 16'ha0c0;
    LUT4 n800_bdd_3_lut_4_lut (.A(n882), .B(n883), .C(TempData_3__N_182[4]), 
         .D(n715), .Z(Enable)) /* synthesis lut_function=(A ((D)+!C)+!A (B ((D)+!C)+!B (C (D)))) */ ;
    defparam n800_bdd_3_lut_4_lut.init = 16'hfe0e;
    LUT4 i4_4_lut_adj_3 (.A(Data[22]), .B(n628), .C(Visible_6__N_171), 
         .D(Data[23]), .Z(n10_adj_229)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(15[23:35])
    defparam i4_4_lut_adj_3.init = 16'hfffe;
    LUT4 i3_4_lut_adj_4 (.A(Data[16]), .B(Data[19]), .C(Data[18]), .D(Data[17]), 
         .Z(Visible_6__N_173)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(18[23:35])
    defparam i3_4_lut_adj_4.init = 16'hfffe;
    LUT4 i1_2_lut_3_lut_adj_5 (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[2]), .Z(Cathodes_c_3)) /* synthesis lut_function=(!((B+!(C))+!A)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i1_2_lut_3_lut_adj_5.init = 16'h2020;
    L6MUX21 i547 (.D0(n749), .D1(n750), .SD(TempData_3__N_182[4]), .Z(TempData[0]));
    FD1P3AX Selector_150__i3 (.D(n17[2]), .SP(SwitchCathode), .CK(Clock14MHz), 
            .Q(TempData_3__N_182[4]));   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(44[21:36])
    defparam Selector_150__i3.GSR = "ENABLED";
    LUT4 i586_2_lut_3_lut (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[2]), .Z(Cathodes_c_0)) /* synthesis lut_function=(!(A+(B+(C)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i586_2_lut_3_lut.init = 16'h0101;
    LUT4 i3_4_lut_adj_6 (.A(Data[28]), .B(Data[31]), .C(Data[30]), .D(Data[29]), 
         .Z(n628)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(15[23:35])
    defparam i3_4_lut_adj_6.init = 16'hfffe;
    LUT4 i544_3_lut (.A(Data[24]), .B(Data[28]), .C(TempData_3__N_182[2]), 
         .Z(n748)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i544_3_lut.init = 16'hcaca;
    LUT4 i583_2_lut_3_lut (.A(TempData_3__N_182[3]), .B(TempData_3__N_182[4]), 
         .C(TempData_3__N_182[2]), .Z(Cathodes_c_4)) /* synthesis lut_function=(!(A+((C)+!B))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i583_2_lut_3_lut.init = 16'h0404;
    LUT4 i514_3_lut (.A(Data[9]), .B(Data[13]), .C(TempData_3__N_182[2]), 
         .Z(n718)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i514_3_lut.init = 16'hcaca;
    LUT4 i513_3_lut (.A(Data[1]), .B(Data[5]), .C(TempData_3__N_182[2]), 
         .Z(n717)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i513_3_lut.init = 16'hcaca;
    LUT4 i191_3_lut_3_lut (.A(TempData_3__N_182[2]), .B(Visible_6__N_173), 
         .C(Visible[5]), .Z(n361)) /* synthesis lut_function=(A (C)+!A (B+(C))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i191_3_lut_3_lut.init = 16'hf4f4;
    LUT4 i1_3_lut_3_lut (.A(TempData_3__N_182[2]), .B(Visible_6__N_171), 
         .C(n628), .Z(n630)) /* synthesis lut_function=(A (C)+!A (B+(C))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i1_3_lut_3_lut.init = 16'hf4f4;
    L6MUX21 i519 (.D0(n721), .D1(n722), .SD(TempData_3__N_182[4]), .Z(TempData[1]));
    LUT4 i19_1_lut_rep_6 (.A(TempData_3__N_182[2]), .Z(n884)) /* synthesis lut_function=(!(A)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(49[21:39])
    defparam i19_1_lut_rep_6.init = 16'h5555;
    L6MUX21 i526 (.D0(n728), .D1(n729), .SD(TempData_3__N_182[4]), .Z(TempData[2]));
    FD1P3AX Selector_150__i2 (.D(n17[1]), .SP(SwitchCathode), .CK(Clock14MHz), 
            .Q(TempData_3__N_182[3]));   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(44[21:36])
    defparam Selector_150__i2.GSR = "ENABLED";
    LUT4 n777_bdd_4_lut (.A(n887), .B(n732), .C(n731), .D(TempData_3__N_182[4]), 
         .Z(TempData[3])) /* synthesis lut_function=(A (B+(D))+!A !((D)+!C)) */ ;
    defparam n777_bdd_4_lut.init = 16'haad8;
    PFUMX i638 (.BLUT(n885), .ALUT(n886), .C0(TempData_3__N_182[3]), .Z(n887));
    \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=1000)  StrobeGenerator0 (.Clock14MHz(Clock14MHz), 
            .SwitchCathode(SwitchCathode), .GND_net(GND_net)) /* synthesis syn_module_defined=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(29[5] 33[4])
    Decoder7seg DUT (.Enable(Enable), .Segments_c_5(Segments_c_5), .TempData({TempData}), 
            .Segments_c_6(Segments_c_6), .Segments_c_3(Segments_c_3), .Segments_c_1(Segments_c_1), 
            .Segments_c_0(Segments_c_0), .Segments_c_4(Segments_c_4), .Segments_c_2(Segments_c_2)) /* synthesis syn_module_defined=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/display_multiplex.v(63[5] 67[4])
    
endmodule
//
// Verilog Description of module \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=1000) 
//

module \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=1000)  (Clock14MHz, 
            SwitchCathode, GND_net) /* synthesis syn_module_defined=1 */ ;
    input Clock14MHz;
    output SwitchCathode;
    input GND_net;
    
    wire Clock14MHz /* synthesis SET_AS_NETWORK=Clock14MHz, is_clock=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(8[8:18])
    
    wire n21, n26, n15, n16, Counter_13__N_221;
    wire [13:0]Counter;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(13[19:26])
    wire [13:0]Counter_13__N_207;
    
    wire n24, n18, n526, n525, n524, n523, n522, n521, n520;
    
    LUT4 i577_4_lut (.A(n21), .B(n26), .C(n15), .D(n16), .Z(Counter_13__N_221)) /* synthesis lut_function=(!(A+(B+(C+(D))))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i577_4_lut.init = 16'h0001;
    FD1S3JX Counter_i0 (.D(Counter_13__N_207[0]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[0])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i0.GSR = "ENABLED";
    FD1S3AX Strobe_13 (.D(Counter_13__N_221), .CK(Clock14MHz), .Q(SwitchCathode)) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Strobe_13.GSR = "ENABLED";
    LUT4 i7_2_lut (.A(Counter[3]), .B(Counter[5]), .Z(n21)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i7_2_lut.init = 16'heeee;
    LUT4 i12_4_lut (.A(Counter[9]), .B(n24), .C(n18), .D(Counter[13]), 
         .Z(n26)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i12_4_lut.init = 16'hfffe;
    CCU2D sub_6_add_2_15 (.A0(Counter[13]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .CIN(n526), .S0(Counter_13__N_207[13]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_15.INIT0 = 16'h5555;
    defparam sub_6_add_2_15.INIT1 = 16'h0000;
    defparam sub_6_add_2_15.INJECT1_0 = "NO";
    defparam sub_6_add_2_15.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_13 (.A0(Counter[11]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[12]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n525), .COUT(n526), .S0(Counter_13__N_207[11]), 
          .S1(Counter_13__N_207[12]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_13.INIT0 = 16'h5555;
    defparam sub_6_add_2_13.INIT1 = 16'h5555;
    defparam sub_6_add_2_13.INJECT1_0 = "NO";
    defparam sub_6_add_2_13.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_11 (.A0(Counter[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[10]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n524), .COUT(n525), .S0(Counter_13__N_207[9]), 
          .S1(Counter_13__N_207[10]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_11.INIT0 = 16'h5555;
    defparam sub_6_add_2_11.INIT1 = 16'h5555;
    defparam sub_6_add_2_11.INJECT1_0 = "NO";
    defparam sub_6_add_2_11.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_9 (.A0(Counter[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n523), .COUT(n524), .S0(Counter_13__N_207[7]), 
          .S1(Counter_13__N_207[8]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_9.INIT0 = 16'h5555;
    defparam sub_6_add_2_9.INIT1 = 16'h5555;
    defparam sub_6_add_2_9.INJECT1_0 = "NO";
    defparam sub_6_add_2_9.INJECT1_1 = "NO";
    FD1S3JX Counter_i13 (.D(Counter_13__N_207[13]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[13])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i13.GSR = "ENABLED";
    CCU2D sub_6_add_2_7 (.A0(Counter[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n522), .COUT(n523), .S0(Counter_13__N_207[5]), 
          .S1(Counter_13__N_207[6]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_7.INIT0 = 16'h5555;
    defparam sub_6_add_2_7.INIT1 = 16'h5555;
    defparam sub_6_add_2_7.INJECT1_0 = "NO";
    defparam sub_6_add_2_7.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_5 (.A0(Counter[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n521), .COUT(n522), .S0(Counter_13__N_207[3]), 
          .S1(Counter_13__N_207[4]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_5.INIT0 = 16'h5555;
    defparam sub_6_add_2_5.INIT1 = 16'h5555;
    defparam sub_6_add_2_5.INJECT1_0 = "NO";
    defparam sub_6_add_2_5.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_3 (.A0(Counter[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n520), .COUT(n521), .S0(Counter_13__N_207[1]), 
          .S1(Counter_13__N_207[2]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_3.INIT0 = 16'h5555;
    defparam sub_6_add_2_3.INIT1 = 16'h5555;
    defparam sub_6_add_2_3.INJECT1_0 = "NO";
    defparam sub_6_add_2_3.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Counter[0]), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n520), .S1(Counter_13__N_207[0]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_1.INIT0 = 16'hF000;
    defparam sub_6_add_2_1.INIT1 = 16'h5555;
    defparam sub_6_add_2_1.INJECT1_0 = "NO";
    defparam sub_6_add_2_1.INJECT1_1 = "NO";
    FD1S3JX Counter_i12 (.D(Counter_13__N_207[12]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[12])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i12.GSR = "ENABLED";
    FD1S3IX Counter_i11 (.D(Counter_13__N_207[11]), .CK(Clock14MHz), .CD(Counter_13__N_221), 
            .Q(Counter[11])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i11.GSR = "ENABLED";
    FD1S3JX Counter_i10 (.D(Counter_13__N_207[10]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[10])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i10.GSR = "ENABLED";
    FD1S3JX Counter_i9 (.D(Counter_13__N_207[9]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[9])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i9.GSR = "ENABLED";
    FD1S3IX Counter_i8 (.D(Counter_13__N_207[8]), .CK(Clock14MHz), .CD(Counter_13__N_221), 
            .Q(Counter[8])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i8.GSR = "ENABLED";
    FD1S3JX Counter_i7 (.D(Counter_13__N_207[7]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[7])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i7.GSR = "ENABLED";
    FD1S3IX Counter_i6 (.D(Counter_13__N_207[6]), .CK(Clock14MHz), .CD(Counter_13__N_221), 
            .Q(Counter[6])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i6.GSR = "ENABLED";
    FD1S3JX Counter_i5 (.D(Counter_13__N_207[5]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[5])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i5.GSR = "ENABLED";
    FD1S3IX Counter_i4 (.D(Counter_13__N_207[4]), .CK(Clock14MHz), .CD(Counter_13__N_221), 
            .Q(Counter[4])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i4.GSR = "ENABLED";
    FD1S3JX Counter_i3 (.D(Counter_13__N_207[3]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[3])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i3.GSR = "ENABLED";
    FD1S3JX Counter_i2 (.D(Counter_13__N_207[2]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[2])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i2.GSR = "ENABLED";
    FD1S3JX Counter_i1 (.D(Counter_13__N_207[1]), .CK(Clock14MHz), .PD(Counter_13__N_221), 
            .Q(Counter[1])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=29, LSE_RLINE=33 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i1.GSR = "ENABLED";
    LUT4 i1_2_lut (.A(Counter[1]), .B(Counter[2]), .Z(n15)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i1_2_lut.init = 16'heeee;
    LUT4 i2_2_lut (.A(Counter[6]), .B(Counter[0]), .Z(n16)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i2_2_lut.init = 16'heeee;
    LUT4 i10_4_lut (.A(Counter[12]), .B(Counter[4]), .C(Counter[8]), .D(Counter[11]), 
         .Z(n24)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i10_4_lut.init = 16'hfffe;
    LUT4 i4_2_lut (.A(Counter[10]), .B(Counter[7]), .Z(n18)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i4_2_lut.init = 16'heeee;
    
endmodule
//
// Verilog Description of module Decoder7seg
//

module Decoder7seg (Enable, Segments_c_5, TempData, Segments_c_6, Segments_c_3, 
            Segments_c_1, Segments_c_0, Segments_c_4, Segments_c_2) /* synthesis syn_module_defined=1 */ ;
    input Enable;
    output Segments_c_5;
    input [3:0]TempData;
    output Segments_c_6;
    output Segments_c_3;
    output Segments_c_1;
    output Segments_c_0;
    output Segments_c_4;
    output Segments_c_2;
    
    wire [6:0]Segments_6__N_222;
    
    wire n783, n860, n842, n840, n867;
    
    LUT4 i276_2_lut (.A(Segments_6__N_222[5]), .B(Enable), .Z(Segments_c_5)) /* synthesis lut_function=(A (B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/decoder_7seg.v(33[7:16])
    defparam i276_2_lut.init = 16'h8888;
    LUT4 Enable_bdd_4_lut (.A(TempData[1]), .B(TempData[0]), .C(TempData[3]), 
         .D(TempData[2]), .Z(n783)) /* synthesis lut_function=(A ((C+!(D))+!B)+!A (B (C+(D))+!B !(C (D)+!C !(D)))) */ ;
    defparam Enable_bdd_4_lut.init = 16'he7fa;
    LUT4 n144_bdd_2_lut_608 (.A(n783), .B(Enable), .Z(Segments_c_6)) /* synthesis lut_function=(A (B)) */ ;
    defparam n144_bdd_2_lut_608.init = 16'h8888;
    LUT4 TempData_2__bdd_4_lut (.A(TempData[2]), .B(TempData[1]), .C(TempData[3]), 
         .D(TempData[0]), .Z(n860)) /* synthesis lut_function=(!(A (B (C)+!B !((D)+!C))+!A !((C+(D))+!B))) */ ;
    defparam TempData_2__bdd_4_lut.init = 16'h7f5b;
    LUT4 TempData_2__bdd_4_lut_616 (.A(TempData[2]), .B(TempData[0]), .C(TempData[3]), 
         .D(TempData[1]), .Z(n842)) /* synthesis lut_function=(!(A (B (C (D)+!C !(D))+!B (C+(D)))+!A (B (C (D))))) */ ;
    defparam TempData_2__bdd_4_lut_616.init = 16'h1dd7;
    LUT4 n144_bdd_2_lut_609 (.A(n840), .B(Enable), .Z(Segments_c_3)) /* synthesis lut_function=(A (B)) */ ;
    defparam n144_bdd_2_lut_609.init = 16'h8888;
    LUT4 TempData_0__bdd_4_lut_607 (.A(TempData[0]), .B(TempData[3]), .C(TempData[1]), 
         .D(TempData[2]), .Z(Segments_6__N_222[4])) /* synthesis lut_function=(A (B (C+(D)))+!A (B+(C+!(D)))) */ ;
    defparam TempData_0__bdd_4_lut_607.init = 16'hdcd5;
    LUT4 TempData_0__bdd_4_lut (.A(TempData[0]), .B(TempData[3]), .C(TempData[1]), 
         .D(TempData[2]), .Z(n840)) /* synthesis lut_function=(!(A (B (C (D))+!B (C (D)+!C !(D)))+!A !(B ((D)+!C)+!B (C+!(D))))) */ ;
    defparam TempData_0__bdd_4_lut.init = 16'h5ebd;
    LUT4 n144_bdd_2_lut_617 (.A(n842), .B(Enable), .Z(Segments_c_1)) /* synthesis lut_function=(A (B)) */ ;
    defparam n144_bdd_2_lut_617.init = 16'h8888;
    LUT4 n144_bdd_2_lut (.A(n867), .B(Enable), .Z(Segments_c_0)) /* synthesis lut_function=(A (B)) */ ;
    defparam n144_bdd_2_lut.init = 16'h8888;
    LUT4 TempData_1__bdd_4_lut (.A(TempData[1]), .B(TempData[0]), .C(TempData[3]), 
         .D(TempData[2]), .Z(n867)) /* synthesis lut_function=(A (((D)+!C)+!B)+!A !(B (C (D)+!C !(D))+!B !(C+!(D)))) */ ;
    defparam TempData_1__bdd_4_lut.init = 16'hbe7b;
    LUT4 TempData_1__bdd_4_lut_623 (.A(TempData[1]), .B(TempData[0]), .C(TempData[3]), 
         .D(TempData[2]), .Z(Segments_6__N_222[5])) /* synthesis lut_function=(A (B (C)+!B (C+(D)))+!A !(B (C (D)+!C !(D)))) */ ;
    defparam TempData_1__bdd_4_lut_623.init = 16'hb7f1;
    LUT4 i277_2_lut (.A(Segments_6__N_222[4]), .B(Enable), .Z(Segments_c_4)) /* synthesis lut_function=(A (B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/decoder_7seg.v(33[7:16])
    defparam i277_2_lut.init = 16'h8888;
    LUT4 n144_bdd_2_lut_624 (.A(n860), .B(Enable), .Z(Segments_c_2)) /* synthesis lut_function=(A (B)) */ ;
    defparam n144_bdd_2_lut_624.init = 16'h8888;
    
endmodule
//
// Verilog Description of module \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=1000000) 
//

module \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=1000000)  (Clock14MHz, 
            DecimalPointMoveEnable, GND_net) /* synthesis syn_module_defined=1 */ ;
    input Clock14MHz;
    output DecimalPointMoveEnable;
    input GND_net;
    
    wire Clock14MHz /* synthesis SET_AS_NETWORK=Clock14MHz, is_clock=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(8[8:18])
    wire [23:0]Counter;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(13[19:26])
    
    wire n6, Counter_23__N_170;
    wire [23:0]Counter_23__N_146;
    
    wire n535, n536, n529, n530, n528, n534, n527, n538, n537, 
        n533, n532, n531, n39, n37, n33, n34, n36, n28, n31, 
        n23, n5;
    
    LUT4 i2_2_lut (.A(Counter[15]), .B(Counter[4]), .Z(n6)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i2_2_lut.init = 16'heeee;
    FD1S3JX Counter_i0 (.D(Counter_23__N_146[0]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[0])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i0.GSR = "ENABLED";
    FD1S3AX Strobe_13 (.D(Counter_23__N_170), .CK(Clock14MHz), .Q(DecimalPointMoveEnable)) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Strobe_13.GSR = "ENABLED";
    FD1S3JX Counter_i23 (.D(Counter_23__N_146[23]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[23])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i23.GSR = "ENABLED";
    CCU2D sub_6_add_2_19 (.A0(Counter[17]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[18]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n535), .COUT(n536), .S0(Counter_23__N_146[17]), 
          .S1(Counter_23__N_146[18]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_19.INIT0 = 16'h5555;
    defparam sub_6_add_2_19.INIT1 = 16'h5555;
    defparam sub_6_add_2_19.INJECT1_0 = "NO";
    defparam sub_6_add_2_19.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_7 (.A0(Counter[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n529), .COUT(n530), .S0(Counter_23__N_146[5]), 
          .S1(Counter_23__N_146[6]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_7.INIT0 = 16'h5555;
    defparam sub_6_add_2_7.INIT1 = 16'h5555;
    defparam sub_6_add_2_7.INJECT1_0 = "NO";
    defparam sub_6_add_2_7.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_5 (.A0(Counter[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n528), .COUT(n529), .S0(Counter_23__N_146[3]), 
          .S1(Counter_23__N_146[4]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_5.INIT0 = 16'h5555;
    defparam sub_6_add_2_5.INIT1 = 16'h5555;
    defparam sub_6_add_2_5.INJECT1_0 = "NO";
    defparam sub_6_add_2_5.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_17 (.A0(Counter[15]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[16]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n534), .COUT(n535), .S0(Counter_23__N_146[15]), 
          .S1(Counter_23__N_146[16]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_17.INIT0 = 16'h5555;
    defparam sub_6_add_2_17.INIT1 = 16'h5555;
    defparam sub_6_add_2_17.INJECT1_0 = "NO";
    defparam sub_6_add_2_17.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_3 (.A0(Counter[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n527), .COUT(n528), .S0(Counter_23__N_146[1]), 
          .S1(Counter_23__N_146[2]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_3.INIT0 = 16'h5555;
    defparam sub_6_add_2_3.INIT1 = 16'h5555;
    defparam sub_6_add_2_3.INJECT1_0 = "NO";
    defparam sub_6_add_2_3.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Counter[0]), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n527), .S1(Counter_23__N_146[0]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_1.INIT0 = 16'hF000;
    defparam sub_6_add_2_1.INIT1 = 16'h5555;
    defparam sub_6_add_2_1.INJECT1_0 = "NO";
    defparam sub_6_add_2_1.INJECT1_1 = "NO";
    FD1S3JX Counter_i22 (.D(Counter_23__N_146[22]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[22])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i22.GSR = "ENABLED";
    FD1S3IX Counter_i21 (.D(Counter_23__N_146[21]), .CK(Clock14MHz), .CD(Counter_23__N_170), 
            .Q(Counter[21])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i21.GSR = "ENABLED";
    FD1S3JX Counter_i20 (.D(Counter_23__N_146[20]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[20])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i20.GSR = "ENABLED";
    FD1S3IX Counter_i19 (.D(Counter_23__N_146[19]), .CK(Clock14MHz), .CD(Counter_23__N_170), 
            .Q(Counter[19])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i19.GSR = "ENABLED";
    FD1S3JX Counter_i18 (.D(Counter_23__N_146[18]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[18])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i18.GSR = "ENABLED";
    FD1S3IX Counter_i17 (.D(Counter_23__N_146[17]), .CK(Clock14MHz), .CD(Counter_23__N_170), 
            .Q(Counter[17])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i17.GSR = "ENABLED";
    FD1S3JX Counter_i16 (.D(Counter_23__N_146[16]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[16])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i16.GSR = "ENABLED";
    FD1S3JX Counter_i15 (.D(Counter_23__N_146[15]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[15])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i15.GSR = "ENABLED";
    FD1S3IX Counter_i14 (.D(Counter_23__N_146[14]), .CK(Clock14MHz), .CD(Counter_23__N_170), 
            .Q(Counter[14])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i14.GSR = "ENABLED";
    FD1S3IX Counter_i13 (.D(Counter_23__N_146[13]), .CK(Clock14MHz), .CD(Counter_23__N_170), 
            .Q(Counter[13])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i13.GSR = "ENABLED";
    FD1S3JX Counter_i12 (.D(Counter_23__N_146[12]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[12])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i12.GSR = "ENABLED";
    FD1S3JX Counter_i11 (.D(Counter_23__N_146[11]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[11])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i11.GSR = "ENABLED";
    FD1S3JX Counter_i10 (.D(Counter_23__N_146[10]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[10])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i10.GSR = "ENABLED";
    FD1S3JX Counter_i9 (.D(Counter_23__N_146[9]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[9])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i9.GSR = "ENABLED";
    FD1S3JX Counter_i8 (.D(Counter_23__N_146[8]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[8])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i8.GSR = "ENABLED";
    FD1S3IX Counter_i7 (.D(Counter_23__N_146[7]), .CK(Clock14MHz), .CD(Counter_23__N_170), 
            .Q(Counter[7])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i7.GSR = "ENABLED";
    FD1S3JX Counter_i6 (.D(Counter_23__N_146[6]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[6])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i6.GSR = "ENABLED";
    FD1S3JX Counter_i5 (.D(Counter_23__N_146[5]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[5])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i5.GSR = "ENABLED";
    FD1S3JX Counter_i4 (.D(Counter_23__N_146[4]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[4])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i4.GSR = "ENABLED";
    FD1S3JX Counter_i3 (.D(Counter_23__N_146[3]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[3])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i3.GSR = "ENABLED";
    FD1S3JX Counter_i2 (.D(Counter_23__N_146[2]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[2])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i2.GSR = "ENABLED";
    FD1S3JX Counter_i1 (.D(Counter_23__N_146[1]), .CK(Clock14MHz), .PD(Counter_23__N_170), 
            .Q(Counter[1])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=41, LSE_RLINE=45 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i1.GSR = "ENABLED";
    CCU2D sub_6_add_2_25 (.A0(Counter[23]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .CIN(n538), .S0(Counter_23__N_146[23]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_25.INIT0 = 16'h5555;
    defparam sub_6_add_2_25.INIT1 = 16'h0000;
    defparam sub_6_add_2_25.INJECT1_0 = "NO";
    defparam sub_6_add_2_25.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_23 (.A0(Counter[21]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[22]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n537), .COUT(n538), .S0(Counter_23__N_146[21]), 
          .S1(Counter_23__N_146[22]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_23.INIT0 = 16'h5555;
    defparam sub_6_add_2_23.INIT1 = 16'h5555;
    defparam sub_6_add_2_23.INJECT1_0 = "NO";
    defparam sub_6_add_2_23.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_21 (.A0(Counter[19]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[20]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n536), .COUT(n537), .S0(Counter_23__N_146[19]), 
          .S1(Counter_23__N_146[20]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_21.INIT0 = 16'h5555;
    defparam sub_6_add_2_21.INIT1 = 16'h5555;
    defparam sub_6_add_2_21.INJECT1_0 = "NO";
    defparam sub_6_add_2_21.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_15 (.A0(Counter[13]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[14]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n533), .COUT(n534), .S0(Counter_23__N_146[13]), 
          .S1(Counter_23__N_146[14]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_15.INIT0 = 16'h5555;
    defparam sub_6_add_2_15.INIT1 = 16'h5555;
    defparam sub_6_add_2_15.INJECT1_0 = "NO";
    defparam sub_6_add_2_15.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_13 (.A0(Counter[11]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[12]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n532), .COUT(n533), .S0(Counter_23__N_146[11]), 
          .S1(Counter_23__N_146[12]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_13.INIT0 = 16'h5555;
    defparam sub_6_add_2_13.INIT1 = 16'h5555;
    defparam sub_6_add_2_13.INJECT1_0 = "NO";
    defparam sub_6_add_2_13.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_11 (.A0(Counter[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[10]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n531), .COUT(n532), .S0(Counter_23__N_146[9]), 
          .S1(Counter_23__N_146[10]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_11.INIT0 = 16'h5555;
    defparam sub_6_add_2_11.INIT1 = 16'h5555;
    defparam sub_6_add_2_11.INJECT1_0 = "NO";
    defparam sub_6_add_2_11.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_9 (.A0(Counter[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n530), .COUT(n531), .S0(Counter_23__N_146[7]), 
          .S1(Counter_23__N_146[8]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_9.INIT0 = 16'h5555;
    defparam sub_6_add_2_9.INIT1 = 16'h5555;
    defparam sub_6_add_2_9.INJECT1_0 = "NO";
    defparam sub_6_add_2_9.INJECT1_1 = "NO";
    LUT4 i574_4_lut (.A(n39), .B(n37), .C(n33), .D(n34), .Z(Counter_23__N_170)) /* synthesis lut_function=(!(A+(B+(C+(D))))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i574_4_lut.init = 16'h0001;
    LUT4 i18_4_lut (.A(Counter[16]), .B(n36), .C(n28), .D(Counter[3]), 
         .Z(n39)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i18_4_lut.init = 16'hfffe;
    LUT4 i16_4_lut (.A(n31), .B(Counter[0]), .C(Counter[18]), .D(Counter[10]), 
         .Z(n37)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i16_4_lut.init = 16'hfffe;
    LUT4 i12_4_lut (.A(n23), .B(n5), .C(Counter[8]), .D(n6), .Z(n33)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i12_4_lut.init = 16'hfffe;
    LUT4 i13_4_lut (.A(Counter[13]), .B(Counter[2]), .C(Counter[14]), 
         .D(Counter[23]), .Z(n34)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i13_4_lut.init = 16'hfffe;
    LUT4 i15_4_lut (.A(Counter[11]), .B(Counter[6]), .C(Counter[1]), .D(Counter[9]), 
         .Z(n36)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i15_4_lut.init = 16'hfffe;
    LUT4 i7_2_lut (.A(Counter[17]), .B(Counter[22]), .Z(n28)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i7_2_lut.init = 16'heeee;
    LUT4 i10_2_lut (.A(Counter[20]), .B(Counter[5]), .Z(n31)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i10_2_lut.init = 16'heeee;
    LUT4 i2_2_lut_adj_1 (.A(Counter[12]), .B(Counter[19]), .Z(n23)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i2_2_lut_adj_1.init = 16'heeee;
    LUT4 i1_2_lut (.A(Counter[21]), .B(Counter[7]), .Z(n5)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i1_2_lut.init = 16'heeee;
    
endmodule
//
// Verilog Description of module TSALL
// module not written out since it is a black-box. 
//

//
// Verilog Description of module \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=100000) 
//

module \StrobeGenerator(FREQUENCY_HZ=14000000,PERIOD_US=100000)  (CountEnable, 
            Clock14MHz, GND_net) /* synthesis syn_module_defined=1 */ ;
    output CountEnable;
    input Clock14MHz;
    input GND_net;
    
    wire Clock14MHz /* synthesis SET_AS_NETWORK=Clock14MHz, is_clock=1 */ ;   // d:/lattice/kurs09/constatdigitcount/source/top.v(8[8:18])
    
    wire Counter_20__N_119;
    wire [20:0]Counter;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(13[19:26])
    wire [20:0]Counter_20__N_98;
    
    wire n548, n547, n546, n545, n544, n543, n542, n541, n540, 
        n539, n39, n37, n33, n34, n36, n28, n31;
    
    FD1S3AX Strobe_13 (.D(Counter_20__N_119), .CK(Clock14MHz), .Q(CountEnable)) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Strobe_13.GSR = "ENABLED";
    FD1S3JX Counter_i20 (.D(Counter_20__N_98[20]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[20])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i20.GSR = "ENABLED";
    FD1S3JX Counter_i0 (.D(Counter_20__N_98[0]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[0])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i0.GSR = "ENABLED";
    FD1S3IX Counter_i19 (.D(Counter_20__N_98[19]), .CK(Clock14MHz), .CD(Counter_20__N_119), 
            .Q(Counter[19])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i19.GSR = "ENABLED";
    FD1S3JX Counter_i18 (.D(Counter_20__N_98[18]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[18])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i18.GSR = "ENABLED";
    FD1S3IX Counter_i17 (.D(Counter_20__N_98[17]), .CK(Clock14MHz), .CD(Counter_20__N_119), 
            .Q(Counter[17])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i17.GSR = "ENABLED";
    FD1S3JX Counter_i16 (.D(Counter_20__N_98[16]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[16])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i16.GSR = "ENABLED";
    FD1S3IX Counter_i15 (.D(Counter_20__N_98[15]), .CK(Clock14MHz), .CD(Counter_20__N_119), 
            .Q(Counter[15])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i15.GSR = "ENABLED";
    FD1S3JX Counter_i14 (.D(Counter_20__N_98[14]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[14])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i14.GSR = "ENABLED";
    FD1S3IX Counter_i13 (.D(Counter_20__N_98[13]), .CK(Clock14MHz), .CD(Counter_20__N_119), 
            .Q(Counter[13])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i13.GSR = "ENABLED";
    FD1S3JX Counter_i12 (.D(Counter_20__N_98[12]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[12])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i12.GSR = "ENABLED";
    FD1S3JX Counter_i11 (.D(Counter_20__N_98[11]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[11])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i11.GSR = "ENABLED";
    FD1S3JX Counter_i10 (.D(Counter_20__N_98[10]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[10])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i10.GSR = "ENABLED";
    FD1S3IX Counter_i9 (.D(Counter_20__N_98[9]), .CK(Clock14MHz), .CD(Counter_20__N_119), 
            .Q(Counter[9])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i9.GSR = "ENABLED";
    FD1S3IX Counter_i8 (.D(Counter_20__N_98[8]), .CK(Clock14MHz), .CD(Counter_20__N_119), 
            .Q(Counter[8])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i8.GSR = "ENABLED";
    FD1S3JX Counter_i7 (.D(Counter_20__N_98[7]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[7])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i7.GSR = "ENABLED";
    FD1S3IX Counter_i6 (.D(Counter_20__N_98[6]), .CK(Clock14MHz), .CD(Counter_20__N_119), 
            .Q(Counter[6])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i6.GSR = "ENABLED";
    FD1S3JX Counter_i5 (.D(Counter_20__N_98[5]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[5])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i5.GSR = "ENABLED";
    FD1S3JX Counter_i4 (.D(Counter_20__N_98[4]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[4])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i4.GSR = "ENABLED";
    FD1S3JX Counter_i3 (.D(Counter_20__N_98[3]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[3])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i3.GSR = "ENABLED";
    FD1S3JX Counter_i2 (.D(Counter_20__N_98[2]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[2])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i2.GSR = "ENABLED";
    FD1S3JX Counter_i1 (.D(Counter_20__N_98[1]), .CK(Clock14MHz), .PD(Counter_20__N_119), 
            .Q(Counter[1])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=5, LSE_RCOL=4, LSE_LLINE=22, LSE_RLINE=26 */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[14] 25[5])
    defparam Counter_i1.GSR = "ENABLED";
    CCU2D sub_6_add_2_21 (.A0(Counter[19]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[20]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n548), .S0(Counter_20__N_98[19]), .S1(Counter_20__N_98[20]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_21.INIT0 = 16'h5555;
    defparam sub_6_add_2_21.INIT1 = 16'h5555;
    defparam sub_6_add_2_21.INJECT1_0 = "NO";
    defparam sub_6_add_2_21.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_19 (.A0(Counter[17]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[18]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n547), .COUT(n548), .S0(Counter_20__N_98[17]), 
          .S1(Counter_20__N_98[18]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_19.INIT0 = 16'h5555;
    defparam sub_6_add_2_19.INIT1 = 16'h5555;
    defparam sub_6_add_2_19.INJECT1_0 = "NO";
    defparam sub_6_add_2_19.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_17 (.A0(Counter[15]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[16]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n546), .COUT(n547), .S0(Counter_20__N_98[15]), 
          .S1(Counter_20__N_98[16]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_17.INIT0 = 16'h5555;
    defparam sub_6_add_2_17.INIT1 = 16'h5555;
    defparam sub_6_add_2_17.INJECT1_0 = "NO";
    defparam sub_6_add_2_17.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_15 (.A0(Counter[13]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[14]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n545), .COUT(n546), .S0(Counter_20__N_98[13]), 
          .S1(Counter_20__N_98[14]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_15.INIT0 = 16'h5555;
    defparam sub_6_add_2_15.INIT1 = 16'h5555;
    defparam sub_6_add_2_15.INJECT1_0 = "NO";
    defparam sub_6_add_2_15.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_13 (.A0(Counter[11]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[12]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n544), .COUT(n545), .S0(Counter_20__N_98[11]), 
          .S1(Counter_20__N_98[12]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_13.INIT0 = 16'h5555;
    defparam sub_6_add_2_13.INIT1 = 16'h5555;
    defparam sub_6_add_2_13.INJECT1_0 = "NO";
    defparam sub_6_add_2_13.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_11 (.A0(Counter[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[10]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n543), .COUT(n544), .S0(Counter_20__N_98[9]), 
          .S1(Counter_20__N_98[10]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_11.INIT0 = 16'h5555;
    defparam sub_6_add_2_11.INIT1 = 16'h5555;
    defparam sub_6_add_2_11.INJECT1_0 = "NO";
    defparam sub_6_add_2_11.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_9 (.A0(Counter[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n542), .COUT(n543), .S0(Counter_20__N_98[7]), 
          .S1(Counter_20__N_98[8]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_9.INIT0 = 16'h5555;
    defparam sub_6_add_2_9.INIT1 = 16'h5555;
    defparam sub_6_add_2_9.INJECT1_0 = "NO";
    defparam sub_6_add_2_9.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_7 (.A0(Counter[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n541), .COUT(n542), .S0(Counter_20__N_98[5]), 
          .S1(Counter_20__N_98[6]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_7.INIT0 = 16'h5555;
    defparam sub_6_add_2_7.INIT1 = 16'h5555;
    defparam sub_6_add_2_7.INJECT1_0 = "NO";
    defparam sub_6_add_2_7.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_5 (.A0(Counter[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n540), .COUT(n541), .S0(Counter_20__N_98[3]), 
          .S1(Counter_20__N_98[4]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_5.INIT0 = 16'h5555;
    defparam sub_6_add_2_5.INIT1 = 16'h5555;
    defparam sub_6_add_2_5.INJECT1_0 = "NO";
    defparam sub_6_add_2_5.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_3 (.A0(Counter[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n539), .COUT(n540), .S0(Counter_20__N_98[1]), 
          .S1(Counter_20__N_98[2]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_3.INIT0 = 16'h5555;
    defparam sub_6_add_2_3.INIT1 = 16'h5555;
    defparam sub_6_add_2_3.INJECT1_0 = "NO";
    defparam sub_6_add_2_3.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Counter[0]), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n539), .S1(Counter_20__N_98[0]));   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(23[14:28])
    defparam sub_6_add_2_1.INIT0 = 16'hF000;
    defparam sub_6_add_2_1.INIT1 = 16'h5555;
    defparam sub_6_add_2_1.INJECT1_0 = "NO";
    defparam sub_6_add_2_1.INJECT1_1 = "NO";
    LUT4 i580_4_lut (.A(n39), .B(n37), .C(n33), .D(n34), .Z(Counter_20__N_119)) /* synthesis lut_function=(!(A+(B+(C+(D))))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i580_4_lut.init = 16'h0001;
    LUT4 i18_4_lut (.A(Counter[3]), .B(n36), .C(n28), .D(Counter[10]), 
         .Z(n39)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i18_4_lut.init = 16'hfffe;
    LUT4 i16_4_lut (.A(n31), .B(Counter[14]), .C(Counter[13]), .D(Counter[15]), 
         .Z(n37)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i16_4_lut.init = 16'hfffe;
    LUT4 i12_4_lut (.A(Counter[8]), .B(Counter[20]), .C(Counter[0]), .D(Counter[6]), 
         .Z(n33)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i12_4_lut.init = 16'hfffe;
    LUT4 i13_4_lut (.A(Counter[7]), .B(Counter[19]), .C(Counter[1]), .D(Counter[18]), 
         .Z(n34)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i13_4_lut.init = 16'hfffe;
    LUT4 i15_4_lut (.A(Counter[2]), .B(Counter[4]), .C(Counter[12]), .D(Counter[9]), 
         .Z(n36)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i15_4_lut.init = 16'hfffe;
    LUT4 i7_2_lut (.A(Counter[11]), .B(Counter[17]), .Z(n28)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i7_2_lut.init = 16'heeee;
    LUT4 i10_2_lut (.A(Counter[5]), .B(Counter[16]), .Z(n31)) /* synthesis lut_function=(A+(B)) */ ;   // d:/lattice/kurs09/constatdigitcount/source/strobe_generator.v(19[17:25])
    defparam i10_2_lut.init = 16'heeee;
    
endmodule
//
// Verilog Description of module PUR
// module not written out since it is a black-box. 
//

